# Telegram for Ubuntu

This is a general README. For in-depth instructions on hacking, see HACKING.md

Pre-requisites
==============
These instructions have been tested on:

    1. Ubuntu 14.04 (Trusty Tahr)
    2. Ubuntu 14.10 (Utopic Unicorn)

Ensure you have the Ubuntu SDK installed, as per
    <a href="http://developer.ubuntu.com/start/ubuntu-sdk/installing-the-sdk/" target="_blank">installing-the-sdk</a>

We provide sane defaults in the scripts to support development for the phone.
You can, however, override those with environment variables.

    CLICK_SDK_ARCH=armhf                    # a value of amd64 also supported
    CLICK_SDK_FRAMEWORK=ubuntu-sdk-14.10

Bootstrap your development environment
======================================

    ./bootstrap.sh

This step will call ``click chroot create`` to create the standard Ubuntu
click chroot build environment. It will also install the required build
dependencies for Telegram into the click chroot.

If you already have the chroot and prerequisite packages installed, then
calling ``./bootstrap.sh`` will only fetch the latest library files.

If you need a feature branch of the library, you can run

    TG_PLUGIN=lp:feature_branch ./bootstrap.sh

which will fetch the feature branch into the library folder instead.

Once in a while, it is better to run ``./bootstrap.sh update`` to upgrade
the chroot and ensure it is up to date.

Building (amd64)
================

If you're developing for the phone, you can skip this step.

    ./build.sh

This step will cross-compile Telegram in the click chroot for amd64.
After running this step, you may also open the project in the Ubuntu IDE,
by selecting the CMakeLists.txt file in the top-level directory.

Packaging (armhf)
=================

    ./click.sh

This step will create an armhf click package suitable for installation on
an Ubuntu Phone/Tablet device.

After running this step, you may also open the project in the Ubuntu IDE,
by selecting the CMakeLists.txt file in the top-level directory.

To additionally install the package for testing, you can run:

    ./click.sh install

Afterwards, search for the "telegram" in the App scope, and tap the icon
to launch the app.

Running on Ubuntu desktop
=========================
Alternatively, it is possible to build and run on your existing Ubuntu
workstation (desktop or laptop).

NOTE: this technique only works for Ubuntu 14.10 (utopic unicorn) machines
      using the amd64 architecture.

To run in this mode, you must:

    1. set CLICK_SDK_ARCH=amd64
    2. ./bootstrap.sh               # creates a separate amd64 click chroot
    3. ./build.sh                   # build for amd64 architecture
    4. ./run.sh                     # runs app on desktop

NOTE: you also need to install qml-module-qt-labs-settings on your host.

NOTE: running on an Ubuntu 14.04 LTS (trusty) machine is possible using
      LXC, but that is an advanced technique, and out of scope for this
      document. If you are truly interested, please try the ``create``
      script from the following repo:

      https://github.com/achiang/ubuntu-sdk-lxc

Hacking
=======
Please find more in-depth instructions in HACKING.md

Credits
=======
Telegram for Ubuntu uses libqtelegram, a Telegram library written in Qt,
based on telegram-cli @ https://github.com/vysheng/tg

Contact
=======
rmescandon and karni @ irc.freenode.net

