#!/bin/bash

set -e

SERIES=utopic
CLICK_SDK_ARCH=${CLICK_SDK_ARCH:=amd64}
CLICK_SDK_FRAMEWORK=${CLICK_SDK_FRAMEWORK:=ubuntu-sdk-14.10}

# XXX: uncomment if the country list ever changes...
#./countries.py

BUILD="build/${CLICK_SDK_ARCH}"

if [ "$1" = "clean" ]; then
    rm -rf "$BUILD"
    shift
fi

mkdir -p "$BUILD" && cd "$BUILD"

SDK_PATH="/usr/share/qtcreator/ubuntu/scripts"
${SDK_PATH}/qtc_chroot_cmake ${CLICK_SDK_ARCH} ${CLICK_SDK_FRAMEWORK} $SERIES ../..
${SDK_PATH}/qtc_chroot_make ${CLICK_SDK_ARCH} ${CLICK_SDK_FRAMEWORK} $SERIES

echo -e "\033[1;32m [ ${CLICK_SDK_ARCH} ] Build complete.\033[0m"
